Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.options
Class HomePreferencesModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.options.OptionsModel
              portlets.compoze.groupware.model.options.HomePreferencesModel

All Implemented Interfaces:
  java.io.Serializable

public class HomePreferencesModel
extends OptionsModel
implements java.io.Serializable

This class represents the data model for the options home preferences page (`home_preferences.jsp`).

See Also:
  Serialized Form

Constructor Summary
`HomePreferencesModel(Accounts accounts, portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, HomePreferences homePrefs)` Constructor.

Method Summary
`boolean` | `isNoneFeatureAvailable()` Indicates whether none of the features is available
`boolean` | `isOnlyOneFeatureAvailable()` Indicates whether only one feature is available.

Methods inherited from class portlets.compoze.groupware.model.options.OptionsModel
`getOptionsGroup, getRequiredAccountName, isAccountRequired, isDeleteAccountAvailable, setIsAccountRequired, setRequiredAccountName`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomePreferencesModel

    public HomePreferencesModel(Accounts accounts,
                                portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                FeatureGroup featureGroup,
                                GroupwarePreferences groupwarePrefs,
                                HomePreferences homePrefs)

  Constructor.

Parameters:
  `accounts` - the accounts
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `homePrefs` - the home preferences (may not be `null`)

Method Detail

### isNoneFeatureAvailable

    public boolean isNoneFeatureAvailable()

  Indicates whether none of the features is available

  Returns:
    `true` if none of the features is available or `false` otherwise

    Calendar, mail, tasks, address book, etc are considered features while home feature is not.

### isOnlyOneFeatureAvailable

    public boolean isOnlyOneFeatureAvailable()

  Indicates whether only one feature is available.

  Returns:
    `true` if only one feature is available or `false` otherwise

    Calendar, mail, tasks, address book, etc are considered features while home feature is not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.